Museek Plus Changelog

0.1.13:  August 25th 2007

BUILD SYSTEMS
CMake, qmake, SCons and Python's distutils
 * RECOMMENDED: cmake
 * CMake compiles and installs everything. Read the INSTALL files for details.
 * qmake compiles just museeq. Read museeq/INSTALL
 * You can install the python bindings, apps, and clients with distutils.
   Run "python setup.py install" in each python sub-directory
 * SCons is still available, but not recommended. Read INSTALL.scons

MUSEEK DAEMON
 * Ignore SIGPIPE (to prevent crashes on BSDs)
 * Catch std::bad_alloc when unpacking a network message.
 * Always get IP from server, when requested
 * Autoretry downloads
 * Syslog support
 * Watch trusted users' status

MUSEEQ
 * Settings revamped
 * Shares configuration added to Settings
 * Added Audacioous to NowPlaying QSA script
 * Added colors to transfers' status column

MUCOUS
 * Setup revamped
 * Many, many bugfixes

MUSEEKCONTROL
 * Implemented a few more unfinished options

MURMUR
 * The basic features are here, enough for inclusion in this release.

0.1.12:  October 21th 2006

MUSEEK DAEMON
 * Fixed museekd not reacting on connect mode changes during run-time (hyriand)
 * Fixed the clear-initiating-transfer that causes a delayed crash (hyriand)
 * Character unpacking checks (fixes corrupted message crashes) (hyriand)
 * Trusted Users' status is now watched
 * IMPORTANT NOTE: the CFLAGS variable renamed to FLAGS and is now a String 
   instead of List, your mulocal.py will need to be modified or erased to allow
   SCons to run correctly. Not doing so will result in SCons failing at the 
   first compile-test.
 * Change the way the IP Address string is created to fix endian bug (hyriand) 
 * New SCons variable LOCKFLAGS disables SCons' automatic flag adding
 * Replaced depreciated call to Send Speed (34) on download completion
   with Send Upload Speed (121) on upload completion. (daelstorm)
 * Check for read/write permissions to config file before loading (daelstorm)
 * Added Global message (66) handler, and pass it to the clients (daelstorm)
 * Removed disconnect-on-hangup-signal (caused a loop)
 * Client message 'Download file to a directory' added (daelstorm)
 * Sends a Museek Daemon version message to clients on connection (daelstorm)
 * Sends the number of privileged users to clients on Server Login (daelstorm)

MUSCAN
 * Ignore .dotfiles and .dotdirs/
 * Removing trailing /s for shared directories
 
MUSEEQ
 * Fixed crash when disconnecting while still connecting to museekd by using
   "mSocket->deleteLater()" instead of "delete mSocket" (hyriand)
 * Fixed method of creating UNIX socket (hyriand)
 * Check option in settings to toggle display of exit dialog
 * Added nick's transfer list color patch transfers are now different colors,
   depending upon their state.
 * Added MUSEEQTRAYICON scons option to enable/disable trayicon at buildtime.
 * Moved Trayicon into Museeq class, made it change with away status and added
   menu option to toggle it.
 * Added /commands to private chat
 * Autoconnect to daemon option added
 * IP addresses can now be viewed in the log window
 * Updated Italian translation (requiem)
 * Updated Polish translation (belegdol)
 
MUSETUP-GTK
 * Scons tries more than one method to detect PyGTK
 
MUCOUS
 * The Setup Interface is now completely controllable from the keyboard
 * Browse Shares now has expandable/collapsable directories and resizeable
   windows. There are some other UI improvements, as well.
 * Added /me and status colors to Private chat 
 * Rewrote tab completion
 * Case-insensitive sorting
 * Refactored / Renamed lots of functions
 * Killed dozens of memory leaks
 * Removed vertical borders from private chat and rooms
 * Added scrolling ticker to chat rooms
 * Improved the Transfers colors and use vertical lines instead of pipes
 * Fixed some broken config options
 * Simplified creation of setup widgets
 * Setup's control over muscan is slightly better, attempts to detect museekd
   config, to better scan correct shares databases.
 * Hundreds of minor changes
 
0.1.11:  July 7th 2006

MUSEEK DAEMON
* ReAdd the server ping, but change the delay between them from 15 to 45 seconds
  to reduce load on the server and to not get banned :).
* Try to logout when shutting down
* Fixed the minPort == maxPort bug and maxPort > minPort bug, for peer
  connections. Previously, it'd skip the port listen attempt entirely. Now it
  tries the listen on minPort (if they equal) or on maxPort (if it's smaller 
  than minport) and  then gives up if it fails. 
* SCons can now set CCFLAGS with the CFLAGS list option
* Enable or disable installation of musetup-gtk with Scons bool option:
  MUSETUPGTK
* Choose which translations to install with the MUSEEQTRANSLATIONS Scons list
  option. (New translations may require modification to the SConstruct file)

MUSEEQ
* Added Timestamp toggle to the Settings menu
* Made user status appear in Private Chat (* user is away || * user is offline )
* Ported all .ui dialogs to cpp
* Added encodings comboboxes to settings dialog, as well as making the password
  dialog protected with ****s
* Added Translation *Support*
* Le_Vert translated museeq into French
* Requiem translated museeq into Italian
* Belegdol translated museeq into Polish
* SyphiliticVagina translated museeq into Spanish
* () translated museeq into German
* Senhor_das_Moscas translated museeq into Brazilian Portuguese
* Added more icons (ip, comments, alert, and small-icons for:  browse, userinfo,
  search, chatrooms, privatechat )
* Add two of mike-labo's themes from museeq. Read the README files for credits.

MUCOUS
* Version to 0.8.2
* New commands: /autoclear, /autoretry, /beep, /trustlist
* Add trusted users list to Users mode
* Make mucous behave more nicely when not connected to a museekd.
* Reorganize parts of setup mode, add new options for buddy-only shares, etc.
* Add timestamps to Debug log, bugfixes for browse mode, topbar variables
  merged into the new storage method

MUSETUP
* Try a little harder to find the template, if not run from /usr
* More description on how to add the download directory

MUSETUP-GTK
* Created a new settings tool. Musetup is now redundant for users who have an X
  server on their museek+ computer
* Controls Muscan


0.1.10:  June 9th 2006
* Added WishList Searching from Client Interfaces, but no timer, yet. 
  ( IWishListSearch )
* Added per-user search interface ( IUserSearch )
* New Status Messages: Browse requests, browse refusals, userinfo requests, 
  transfer finishing.

MUSEEQ
* Ported ConnectDialog from designer ui to pure C++ code, to get around the 
  annoying widget-cropping.
* Added TrayIcon
* Fixed sending empty Private Message
* Moved Museeq's Default Icon theme to default/ subdir
* Added Save password Checkbox to ConnectDialog in museeq
* Added Start Daemon, Stop Daemon, and Config Selector buttons, and Auto-Start
  Daemon checkbox to ConnectDialog in museeq
* Page Up/Page Down/arrows chat log scrolling in museeq (requested by y00sah)
* New Status messages in Log Window and Online-alert messages (requested by 
  chs_kasper)
* Option in the config for automated messages (requested by lartza)

MUCOUS
Version: 0.8.1
* Made Room Status log scrollable
* Typo fixes
* User lists fixes
Version: 0.8.0
* Finished Interests and recommendations
* Rewrote Scrolling variables (each mode/window has it's own scroll counter, 
  now)
* Rewrote much of the way internal data and variables are stored
* Yanked a lot of dead code
* Fixed the input-disappearing bug (happened on PM messages)
* Fixed some config options not getting saved
* Added /autoaway toggle
* Added /searchuser <user> option for User Searches (Alt-T in search)
Version: 0.8.0pre2
* Added setup.py script. You can now install mucous by entering 
  "python setup.py install" as root
* Fixed the /connect command so that it works after starting up with incorrect 
  interface and/or interface password. (It was stuck in a while loop)
* Made alerts delete when their "parent tabs" get closed (I.E. with the /close 
  command)
* Added RoomTickers handler, so now joining a room gets all the current tickers.
Updated April 18th 2006
Version: 0.8.0pre1
* Lots of new features to keep up with Museek+
* the unfinished Interests/Recommendations are in Users mode
* New commands:
  /extra (toggle responding to version requests) /ctcpversion (request client 
  version)
  /logout  /login      (Server Login and Logout)
  /like   /donotlike   (Add/remove interests)
  /hate /donothate     (Add/remove interests)
  /similar   /itemsimilar <item>  (List Similar users)
  /globalrex  /recommendations  /rex /itemrex <item>
  /uploadto <user>  /upload <file> (Initiate remote upload)
* Renabled Home/End for supporting terminals
* Removed white colors defines, so that White-BG terminals are readable.

MUSEEKCONTROL
* Changed version to museek+ version
* Fixed --info command (kept sending command again and again)
* Added --connect, --disconnect, --reloadshares options

0.1.9:  May 29th 2006
* Modified man pages some more, removing COMPILING section and adding FILES 
  section
* Added man page for mulog
* renamed mulog.py to mulog
* Modified mulog to use a config file, thus protecting the password from prying 
  eyes,  and easing the use of mulog, slightly. Made logs to use the 
  "DD Month YYYY HH:MM:SS [username]<Tab>message" format.
* Added mucous and museekcontrol to Museek-Plus
* Fixed bluebox theme installation to share/museek/museeq/bluebox

0.1.9pre2:  May 25th 2006
* Added VORBIS scons option, allowing for manual disabling of OGG Vorbis 
  support in muscan. 
* Fixed an issue with images.cpp (and old versions of either QT or GCC) not 
  compiling due to museeq->mIconTheme not being enclosed in a QString() 
  (thanks for your patience and help, leftcoast)
* Added man pages for museekd, musetup, muscan, muscand and museeq
* Added Retry Upload(s) to museeq (it secretly clears uploads before retrying 
  them)
* Fixed some compiler warnings in museekd

0.1.9pre1:  May 24th 2006
* Compiler Fix for x86_64 http://thegraveyard.org/daelstorm/museek/browser.cpp
* Added Icon Theme selector to museeq (Select the directory the museeq icons 
  are in)
* Added new menu for switching to the different modes, Chat Rooms, Private 
  Chat, Transfers, Search, User Info and Browse
* Added a new Commands Help dialog, and about 15 new /commands in chat.
* Fixed an issue with newer versions of SCons not being able to complete 
  the compile-tests for epoll and scandir because a change in conf.CheckFunc()
* Fixed an issue with SCons (> 0.95) removing mucipherc.py, part of mucipher's 
  python bindings, before installing, which caused installation to fail.
* Updated my iTheme museeq icons

0.1.8:  May 18th 2006
* Missing variable in messages.py (.in) fixed
* Added checkbox to ticker toggle menu item.
* Added Special shares for buddies only, needs to be seperately scanned in. 
  To do this, modifications were made to muscan, muscand. New command line 
  options -b &, --buddy will modify the config.buddyshares and 
  config.buddyshares.state files in muscan and keep track of the buddyshares in
  muscand. Toggle these special shares with the config option 
  ["transfers"]["have_buddy_shares"]
* Modified the about and help dialogs; made them normal MessageDialogs. Fixes 
  cropped text issues.
* Added automatic messages for users trying to download your shares when they
  have been banned or are not on your buddy-list when sharing list-only.
* Modified musetup to scan buddy-shares and to correctly write config file 
  on first-run before attempting to load shares with muscan.
* Added Color and Font options under Settings->Colors and Fonts
* Added new status icons for banned/buddied/trusted/ignored (and made them
  not waste bandwidth)
* Fixed trailing / being sent by museeq on download folder requests
* Fixed compile-error in museeq 0.1.8pre caused by a new popup menu feature. 
  (thanks Lunar Raven and others)
* Added ONLYMUSEEQ scons option for building just museeq and it's dependency, 
  mucipher.
* Fixed museekd only accepting download folder requests with trailing /, now 
  both with and without work.
* Added room, default tickers to the config, museeq can now save tickers.
* Finished implementing the SendSpeed Message (34) so that the average transfer 
  speed gets sent to the server when a download finishes, updating the other 
  user's stats.
* Removed Ban & Ignore from Museeq's Private Chat and Browse modes, since they 
  clutter it up. They're accessible from the User Info mode, still.
* Added message handler for, but don't do anything with, peer messages 42, 46.
  (Upload Placeholder, Upload Failed)
* Fixed musetup's new buddy-shares directory-removal commands
  (thanks for the bug-report, y00sah)
* Added text label in museeq's shares, for whether they're recieved yet, empty 
  or if not, and how may directories are in them. (chs_kasper's idea)
* Added new Interface StatusMessage (0010) to forward various messages to these
  clients. Currently sending login, connect, & disconnect messages.
* Added Toggleable Log in Museeq for status messages.
* Fixed 'not shared' message if shared files were in both buddy-only and normal 
  shares. (thanks for noticing, y00sah & svarun)
* Included daal's new Bluebox 0.3 theme for museeq. It's in the museek+/icons/ 
  directory
* Included daal's old Raven theme for museeq. It's also in the museek+/icons/ 
  directory

0.1.7b:  May 10th 2006
* convert more characters for slsk:// links to webforms
* the  #include <qinputdialog.h> in museeq.cpp was in the wrong place, so it
  only compiled with QSA which b0rked the build for QSA-less users. (found by 
  chs_kasper )

0.1.7:  May 10th 2006
* Fixed a looping bug that continually checked a buddies address/port if that
  buddy's port was 0
* Fixed updated shares filecount by requesting a peer_stats message after
  reloading shares
* Discovered that newer Scons versions cause the dialog boxes in Museeq to not
  compile their slots/functions/buttons correctly. Use the Version of Scons
  included with Museek-Plus!
* Add a Toggle Tickers menu item under the Settings menu ( Requiem1348's
  request)
* Added the Remote Upload Queue notification message, 52 to aid in sending
  files to Windows slsk users. But it doesn't seem to help. It also is used for
  sending a private message if a user trying to send files isn't on your 
  trusted list.
* Added Help and About dialog boxes
* Added outgoing private messages from other interfaces being echoed to museeq's
* Yanked green buddy highlighting in museeq chatrooms, looks bad on a white 
  background.
* Added popup-menu item for editing comments. (Buddies only) Lots of people 
  requested this.
* Added inline handler for slsk://username/path/path/file links, now you can 
  paste links by Browsing Someone->Right-click on file->Copy URL
* Rewrote/Fixed the Incredibly slow Python  UserShares parsing function in 
  messages.py, it's speed is now comparable to browsing in museeq.

0.1.6  May 7th 2006
* Fixed non-trusted users queuing multiple downloads from your shares (First 
  transfer worked, later ones failed due to redundant trusted user check 
  causing false negatives.)
* Fixed the broken toggling of trusting_users that didn't take effect until 
  museekd was restarted
* Added 'Browse My Shares' menu item to the File menu
* Reorganized Settings Menu so that with larger fonts the text doesn't get
  cropped by the different widgets.

0.1.5  May 7th 2006
* Changed "Awaiting User" to "User Offline" in museeq (mer.lin.ux's idea)
* Current Museek user's IP is set internally to 127.0.0.1, to facilitate 
  getting your own Shares and Userinfo. This has the side-effect of not allowing
  you to see your own external IP-address. Hopefully, you're listening on 
  127.0.0.1 :) (mer.lin.ux's idea)
* Added Refresh buttons to Shares and Userinfo (mer.lin.ux's idea)
* Split some DEBUG messages off into the seperate TT message type, for cleaner 
  museekd status messages. You can enable those messages by adding 'traffictime'
  to the MULOG variable
* Implemented the new room/user search messages 120 and 42. Unfortunantly, 
  Soulfind 0.1 -> 0.4.7 are no longer supported for Buddy/Room searching. 
  (Thanks for the Info, sierracat)
* Added Sending Remote Uploads from museekd and museeq. It now seems to work 
  as expected.
* Lots of minor changes to the museekd codebase were made to facilitate proper 
  remotely-initated- transfers.
* A new type of user, Trusted User, can remotely-initate-uploads that download 
  to your system( a previous hack allowed everyone to send you files) Is
  now toggleable in museeq.
* Yanked the mostly useless CopyIP popup menuitem in museeq's IP dialog. It 
  caused crashes if no item was selected when the popup menu got created.
* Added a IFACE messages to disconnect and reconnect museekd to the server, 
  to facilitate username or server changes without having to restart museekd. 
  Had to force reset the server variables to make this possible.
* Added a IFACE Message to reload shares (NOT rescan)
* Fixed the QSA Scripts-menu's hotkey to be 'T' instead of the letter 'S' which
  conflicted with the Settings-menu's (cravings was horrified by this)
* Rearranged Okay/Cancel dialogs with okay on the Left side. (groovything's 
  idea)
* Added Museeq Settings Dialog ( includes settings for Server, Username, 
  Password, and a bunch of other config options; a Reload Shares button; 
  Server Disconnect and Connect buttons)

0.1.4
* Museekd now responds to message 26, and should send out search results for 
  global searches.
* Added handler for message 41, Museekd gives up connecting if another client 
  has kicked it off the server.
* use "kill -ALRM museekd' to manually reconnect museekd to the server
* Added all Interests & Recommendations messages and functions to museekd and 
  museeq.
* Added all Interests & Recommendations messages to messages.py and driver.py 
  for Python clients.
* Added a --version, -V message to museekd, added the version in museeq's 
  titlebar.

0.1.3
* Added Belegdol's GCC 4.1 fix (changs to museeq/museekdriver.h)
* Corrected <iostream.h> to <iostream> in museeq's mainwin.cpp (gets rid of GCC 
  warning)
* Museeq: Ignorelist and Banlist are now uncloseable
* Added a 'clean' script, a 'build-debug', and a 'build-release' script
* Added -fPIC to the SConstruct script, so x86_64 users should have an easier 
  time compiling it. Don't know of any side effects for the rest of us.
* Added some desktop icons and Museeq icon themes to the icons directory
* Added an rc script for ArchLinux. filename is museekd.rc
* Added a .desktop file for museeq


0.1.2 and previous changes from the last SVN version
* Added some simple scripts to simplify compiling and installing
* Applied Schee's Roomsearch patch [ http://seeschloss.org/museek ] and fixed a 
  bug it added
* Added Banlist and Ignorelist to Museeq
* Added some color highlighting to users in Museeq


